Bug 737109 - SME Review Virt Admin Guide, chapter 15, section numbering and addition
Summary: SME Review Virt Admin Guide, chapter 15, section numbering and addition
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Administration_Guide
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Scott Radvan
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 16:17 UTC by Don Dutile (Red Hat)
Modified: 2015-09-28 02:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 00:50:04 UTC


Attachments (Terms of Use)
New section describing guest cpu model configuration (10.46 KB, text/plain)
2011-09-09 20:51 UTC, Don Dutile (Red Hat)
no flags Details

Description Don Dutile (Red Hat) 2011-09-09 16:17:14 UTC
Description of problem:

(1) Looking at the table of contents, and trying to find virsh command line help is a bit like finding a needle in a haystack.
Ch 15, Managing Guests with virsh, should have section numbers prefixing most of the topic headers.
For example:
'virsh command quick reference'  should be tagged as 15.1, 
'Attaching and updating a device with virsh' should be tagged as 15.2
Will update this bz in a comment with recommended section numbering, naming, and what existing content should be pulled under those sections.

(2) another set of virsh capability has been brought to my attention that receives a significant amount of email and that is cpu model & features definition for a guest.  A new section titled 'Guest CPU model configuration' should be added.  Content for the new section will be added as an attachment.
The source of the content will come from this web link, edited for RHEL6 and this document:
http://berrange.com/posts/2010/02/15/guest-cpu-model-configuration-in-libvirt-with-qemukvm/

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Don Dutile (Red Hat) 2011-09-09 20:51:57 UTC
Created attachment 522403 [details]
New section describing guest cpu model configuration

Added txt file containing new content for chapter 15,
'Guest CPU model configuraton'

Comment 3 Don Dutile (Red Hat) 2011-09-09 21:53:00 UTC
Suggested section numbering & titling for chapter 15:

15.1 virsh command quick reference

15.2 Attaching and updating a device with virsh

15.3 Connecting to the hypervisor
     *NOTE*: should add command 'virsh uri' to get value to put into {name}
             for virsh connect

15.4 Creating a virtual machine XML configuration file
      dump xml
      creating a guest from...
      editing a guest's configuration file

15.5 Suspending, resume, saving, & restoring a guest

15.6 shutting down, rebooting, force-shutdown of a guest

15.7  Guest information
        virsh domname
        virsh domuuid
        virsh dominfo

15.8 host information
      virsh capabilities <-- *NEW*; lead in for new section provided in c#2
      virsh nodeinfo

15.9 storage pool information
      virsh pool-edit

15.9 Displaying per-guest information
       virsh list
       virsh vcpuinfo
       virsh vcpupin
       virsh setvcpus <-- supported on KVM ????
       virsh setmem
       virsh domblkstat
       virsh domifstat

15.10 Managing virtual networks 

15.11 Migrating a guest
       virsh migrate

15.12 <new content in c#2>


Note You need to log in before you can comment on or make changes to this bug.